Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360921 - Save docker/journald output from Jenkins CI builds
Summary: Save docker/journald output from Jenkins CI builds
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OKD
Classification: Red Hat
Component: Build
Version: 3.x
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Steve Kuznetsov
QA Contact: Wang Haoran
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-27 20:42 UTC by Jhon Honce
Modified: 2016-08-05 18:35 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-05 18:35:48 UTC


Attachments (Terms of Use)

Description Jhon Honce 2016-07-27 20:42:28 UTC
Description of problem:
For debugging docker issues with the builds, we need the output from the docker daemon saved with the other S3 artifacts.

Depending on the configuration of the docker daemon running the Jenkins jobs this could be docker.log or journald entries.

Comment 1 Steve Kuznetsov 2016-07-28 14:32:01 UTC
Any objections to simply doing something like the following as a post-build step in the Jenkins jobs:

vagrant ssh -c 'sudo journalctl --no-pager --all --lines=10000 -unit=docker' > origin/artifacts/docker.journal

Comment 2 Dan McPherson 2016-07-28 14:39:48 UTC
Why not add to the vagrant openshift download artifacts?

Comment 3 Steve Kuznetsov 2016-07-28 20:13:34 UTC
Although I'm trying my best to implement one, we do not have a central cleanup trap so it seems prohibitively expensive to implement in a way that every job always will have the artifact created, whereas if we add a Jenkins execute job we're guaranteed to get the information.

Comment 4 Steve Kuznetsov 2016-08-05 18:35:48 UTC
I have implemented best-effort Docker log harvesting for our Origin test jobs. The log can be found in the S3 artifacts[1], it is named `docker.journal`. 

[1] ex. https://ci.openshift.redhat.com/jenkins/fingerprint/d7c961644da1e86a49ab726881aa458a/


Note You need to log in before you can comment on or make changes to this bug.